Intrusion Prevention

Akamai.Download.Manager.ActiveX.Remote.Command.Execution

Description

This indicates a possible exploit of a buffer overflow vulnerability in the Akamai Download Manager ActiveX Control.
This issue is caused by a buffer overflow error in "DownloadManagerV2.ocx" that occurs when processing malformed arguments passed to certain methods.

Affected Products

Akamai Download Manager ActiveX Control versions prior to 2.2.1.0.

Impact

The execution of arbitrary code on the system.

Recommended Actions

Upgrade to version 2.2.1.0 :
http://dlm.tools.akamai.com/tools/upgrade.html

CVE References

CVE-2007-1892 CVE-2007-1891